#' list_to_df
#'
#' @param listfordf a named list of similar data frames
#' @description A function that takes a named list of similar dataframes
#' and converts it into one. I got it from here:
#' https://gist.github.com/aammd/9ae2f5cce9afd799bafb
#'
#' @export
list_to_df <- function(listfordf){
  if(!is.list(listfordf)) stop("it should be a list")

  df <- list(list.element = listfordf)
  class(df) <- c("tbl_df", "data.frame")
  attr(df, "row.names") <- .set_row_names(length(listfordf))

  if (!is.null(names(listfordf))) {
    df$name <- names(listfordf)
  }

  df %>% unnest(list.element)
}
