% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/flr_test.R
\name{flr_test}
\alias{flr_test}
\title{flr_test}
\usage{
flr_test(data, form, group = sowing_number, species = "Medicago",
  diff_geno = FALSE)
}
\arguments{
\item{data}{A flowering time data frame}

\item{form}{A vector of formulae representing the comparisons I wish to perform}

\item{group}{What groups I am comparing ("sowing_number", "genotype" or "mutant")}

\item{species}{Either "Medicago" (default) of "Arabidopsis"}

\item{diff_geno}{This boolean parameter is ony relevent when group is set to "mutant".
It allows multiple genotypes to be tested at once against one another.
(e.g. A segregating population vs wild-type). I generally have this turned off as a
safty precaution so unexpected things arn't accidentally grouped.}
}
\description{
Takes a flowering time dataset and performs a Hotellings \eqn{T^2}
on flowering time data and reports results in reader friendly wide format.
Will perform multiple testing correction (FDR) when needed.
}
\examples{
forms <- c(Q758 ~ Q756, Q758 ~ Q757)
flr_test(Mt_flowering_time_data, forms)
}
